Bug 4467 - Need to build with qt
: Need to build with qt
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/libxsldbg)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 4454
  Show dependency tree
 
Reported: 2004-06-22 15:43 by
Modified: 2008-02-15 23:31 (History)


Attachments
xsldbg-3.1.7-spec.patch (999 bytes, text/x-diff)
2004-06-22 15:44, Sergey V Turchin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-22 15:43:08
Для разрешения баги 4454, нужно собрать с Qt 
Так же посмотреть насчет unresolved символов, что-то их много там, 
я не знаю может так нужно?
------- Comment #1 From 2004-06-22 15:44:18 -------
Created an attachment (id=443) [details]
xsldbg-3.1.7-spec.patch
------- Comment #2 From 2004-06-23 01:23:14 -------
Что это дает? Нельзя ли выделить поддержку qt в отдельный пакет?
Не помогут ли здесь многочисленные пакеты с именами, начинающимися на q и k :),
размещенные на http://sourceforge.net/projects/xsldbg ?
------- Comment #3 From 2004-06-29 13:48:01 -------
(In reply to comment #2) 
> Что это дает? 
Выкидывание дубля xsldbg из quanta 
 
> Нельзя ли выделить поддержку qt в отдельный пакет? 
Конечно можно, только как devel делить не знаю 
 
> Не помогут ли здесь многочисленные пакеты с именами, начинающимися на q и 
k :), 
> размещенные на http://sourceforge.net/projects/xsldbg ? 
Нет, quanta тащит с собой xsldbg 
Ой, похоже что еще и kxsldbg :-( 
 
------- Comment #4 From 2004-06-29 14:54:47 -------
(In reply to comment #3)
> > Нельзя ли выделить поддержку qt в отдельный пакет? 
> Конечно можно, только как devel делить не знаю 

Т.е. отдельная библиотека "только для qt" создается в процессе сборки?

> > Не помогут ли здесь многочисленные пакеты с именами, начинающимися на q и 
> k :), 
> > размещенные на http://sourceforge.net/projects/xsldbg ? 
> Нет, quanta тащит с собой xsldbg 
> Ой, похоже что еще и kxsldbg :-( 

Будьте добры, огласите весь список :) Желательная цель -- создание отдельного
пакета, который использует движок xsldbg и Qt/KDE UI. Видимо, этот пакет (и его
-devel) можно будет использовать для Quanta.
------- Comment #5 From 2004-06-29 16:37:50 -------
(In reply to comment #4) 
> Т.е. отдельная библиотека "только для qt" создается в процессе сборки? 
да, libqtnotifier 
 
> Будьте добры, огласите весь список :) 
Список чего? То, что чужое в quanta? 
xsldbg и kxsldbg, остальное там старое, по дате видно. 
 
> Желательная цель -- создание отдельного 
Конечно 
 
> пакета 
Тогда пакетов 
 
> , который использует движок xsldbg и Qt/KDE UI. Видимо, этот пакет (и его 
> -devel 
Если сейчас посмотреть в libxsldbg-devel - то увидим внитри Qt 
Я об этом про сплит -devel 
 
------- Comment #6 From 2004-06-29 16:38:40 -------
Но, возможно, проще подождать, пока они с quanta сами разберуться 
------- Comment #7 From 2004-07-03 12:09:32 -------
-devel можно и не делить, он просто будет требовать и libxsldbg и libxsldbg-qt.
Нужен собирающийся spec, в котором прописана libqtnotifier в пакете
libxsldbg-qt.
------- Comment #8 From 2004-10-05 16:03:50 -------
Они видимо не договорились. 
В kdewebdev-kxsldbg будет libxsldbg статически 
------- Comment #9 From 2004-10-06 02:55:06 -------
(In reply to comment #8)
> В kdewebdev-kxsldbg будет libxsldbg статически

Так чего, нужно собирать и выделять libqtnotifier или единственный повод пропал?
------- Comment #10 From 2004-10-06 11:53:20 -------
(In reply to comment #9) 
> пропал? 
Да, пропал 
 
------- Comment #11 From 2004-10-06 12:00:18 -------
Reopen the bug if the need arises.
------- Comment #12 From 2008-02-15 23:29:23 -------
re
------- Comment #13 From 2008-02-15 23:31:23 -------
Закрываю как wontfix.